# Spec file for Open vSwitch selinux policy.

# Copyright (C) 2018, Red Hat, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.
#

%global selinuxtype targeted
%global selinux_policyver 3.13.1-166.9
%global moduletype contrib
%global modulename openvswitch-custom

Name: openvswitch-selinux-extra-policy
Summary: Open vSwitch Extra SELinux Policy
Group: System Environment/Daemons
URL: http://www.openvswitch.org/
Version: 1.0
Source0: http://aconole.bytheb.org/files/openvswitch-selinux-policy.tar.gz

License: ASL 2.0
BuildArch: noarch
Release: 9%{?dist}

BuildRequires: autoconf automake libtool
BuildRequires: systemd-units openssl openssl-devel
BuildRequires: checkpolicy selinux-policy-devel git pkgconfig(systemd)
Conflicts: selinux-policy < 3.13.1-166.el7_4.9
Requires(post): libselinux-utils
Requires(post): policycoreutils
%if 0%{?fedora} || 0%{?rhel} > 7
Requires(post): policycoreutils-python-utils
%else
Requires(post): policycoreutils-python
%endif

Patch10: 0001-enable-mlx5.patch
Patch20: 0001-ovs-vswitchd-enable-net_broadcast.patch
Patch30: 0001-changes-to-support-newer-hugetlbfs-restrictions.patch
Patch40: 0001-custom-post-2.9-testing.patch
Patch50: 0001-container-allow-container-runtime-via-selinux.patch
Patch51: 0002-containers-allow-container_t-domain-to-access-ovs-so.patch

%description
Tailored Open vSwitch SELinux policy for distribution

%prep
%autosetup -p 1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
install -d %{buildroot}%{_datadir}/selinux/packages
install -d -p %{buildroot}%{_datadir}/selinux/devel/include/%{moduletype}
install -m 0644 %{modulename}.pp %{buildroot}%{_datadir}/selinux/packages

%check

%pre
if %{_sbindir}/selinuxenabled ; then
    %selinux_relabel_pre -s %{selinuxtype}
fi

%post
%{_sbindir}/semodule -N -s %{selinuxtype} -i %{_datadir}/selinux/packages/%{modulename}.pp
if %{_sbindir}/selinuxenabled ; then
    %{_sbindir}/load_policy
fi

%postun
if [ $1 -eq 0 ]; then
    %{_sbindir}/semodule -N -s %{selinuxtype} -r %{modulename}
    if %{_sbindir}/selinuxenabled ; then
        %{_sbindir}/load_policy
    fi
fi

%posttrans
if %{_sbindir}/selinuxenabled ; then
    %selinux_relabel_post -s %{selinuxtype}
fi

%files
%defattr(-,root,root,0755)
%attr(0644,root,root) %{_datadir}/selinux/packages/%{modulename}.pp

%changelog
* Wed Nov 28 2018 Aaron Conole <aconole@redhat.com> - 1.0-9
- Fix the selinux macros to work with image builds (#1643571)

* Tue Nov 06 2018 Aaron Conole <aconole@redhat.com> - 1.0-8
- Include container related changes (#1642591)

* Tue Aug 28 2018 Aaron Conole <aconole@redhat.com> - 1.0-7
- Include extra selinux changes for 2.10 (#1620257)

* Fri Aug 03 2018 Aaron Conole <aconole@redhat.com> - 1.0-6
- Include new hugetlbfs restrictions

* Thu Jul 26 2018 Aaron Conole <aconole@redhat.com> - 1.0-5
- Fix missing %{?dist} macro
- Check for SELinux before executing macros that require selinux
- Update to support RHEL8

* Wed May 30 2018 Aaron Conole <aconole@redhat.com> - 1.0-4
- Enable mlx5 usage of the net_raw capability (#1555440)

* Wed May 09 2018 Aaron Conole <aconole@redhat.com> - 1.0-3
- Set as conflicts with the selinux policy instead.

* Wed May 09 2018 Aaron Conole <aconole@redhat.com> - 1.0-2
- Merge to fast-datapath production branch

* Fri May 04 2018 Aaron Conole <aconole@redhat.com> - 1.0-1
- With fast-datapath branch

* Mon Feb 12 2018 Aaron Conole <aconole@redhat.com> - 1.0-0
- First Build
